Bug 58926 - smp-2.4.9-21 crash [<c011b6fb>] call_console_drivers [kernel] 0xeb
smp-2.4.9-21 crash [<c011b6fb>] call_console_drivers [kernel] 0xeb
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-01-27 22:01 EST by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:39:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
(Serial) Console output for succesfull boot of smp-2.4.9-13 (7.27 KB, text/plain)
2002-01-27 22:03 EST, Need Real Name
no flags Details
(Serial) Console output for crash during boot of smp-2.4.9-21 (5.77 KB, text/plain)
2002-01-27 22:05 EST, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2002-01-27 22:01:48 EST
Description of Problem:

On my smp system kernel-smp-2.4.9-21.i686.rpm from redhat updates
crashes during boot.
kernel-smp-2.4.9-13 has worked fine for months. And it still works fine.

A little complication is the fact that /sbin/depmod from
modutils-2.4.10-1 (which is required for 2.4.9-21) crashes
the 2.4.9-13smp installscript:

/var/tmp/rpm-tmp.93099: line 2:  1266 Floating point exceptiondepmod -ae -F /boo
t/System.map-2.4.9-13smp 2.4.9-13smp
/sbin/new-kernel-pkg: line 2:  1418 Floating point exceptiondepmod -ae -F /boot/
System.map-$version $version

So to downgrade to kernel-smp-2.4.9-13 I also had to downgrade modutils
but after that kernel-2.4.9-13 works just fine again.

All UP kernels work fine too.
I remember a prior 2.4 SMP kernel, 2.4.6 or whatever, that failed to boot too.
But rawhide and beta versions between 2.4.3 - 2.4.9 never where much good

Version-Release number of selected component (if applicable):

How Reproducible:

Steps to Reproduce:
1. Install kernel-smp-2.4.9-21.i686.rpm on a dual pentium 694D Pro (MS 6321)
  with up-to-date redhat 7.2
2. Boot

Actual Results:
Crash, see attachment smp-2.4.9-21.boot

Expected Results:
Succesfull boot, see attachment smp-2.4.9-13.boot

Additional Information:
I only switched to booting with serial console to be able to cut and paste
the output from booting. It already failed to boot with tty0 as console twice
before. I am stressing this fact because of the following:

When comparing smp-2.4.9-13.boot and smp-2.4.9-21.boot
the first real difference is the next line in smp-2.4.9-21.boot:
pty: 204<88> UUiiivxxdd88  perrror: 0000
the crash happens immediately after that.
Comment 1 Need Real Name 2002-01-27 22:03:45 EST
Created attachment 43736 [details]
(Serial) Console output for succesfull boot of smp-2.4.9-13
Comment 2 Need Real Name 2002-01-27 22:05:07 EST
Created attachment 43737 [details]
(Serial) Console output for crash during boot of smp-2.4.9-21
Comment 3 Trevor Cordes 2002-07-05 03:30:25 EDT
Please see the notes in bug 47160 to see if there is any connection between
these 2?
Comment 4 Need Real Name 2002-07-05 05:28:07 EDT
Doesn't seem very relevant because this happens at boot time
and I can't find any mention of that in 47160.
And once it's up and running I see no crashes, contrary to in 47160.

Maybe this is relevant:
I had the same problem (ie instant crash on boot of SMP version of the 
kernel) when installing newer kernels from redhat 7.2 updates.
However the last time I had a close look at the BIOS settings
and found that `ACPI function' was enabled.
Having read some warnings about ACPI and other mainboards (abit)
I set it to disabled and after that it booted fine.

I do not have many datapoints however. This is my desktop machine
and I only reboot it after updating a kernel rpm and it never crashes
in between.
Comment 5 Bugzilla owner 2004-09-30 11:39:21 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.